aboutsummaryrefslogtreecommitdiffstats
path: root/main/qt5-qtwebkit/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-05-03 00:32:34 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-03 15:02:21 +0000
commit378e340be63e0a0f628a5c2755cd15611be3ade2 (patch)
treebdcde393aff8b06ca76204a530d0b151030d2d45 /main/qt5-qtwebkit/APKBUILD
parent7840de8298563329ee41f419a2474d36b85e22b7 (diff)
downloadaports-378e340be63e0a0f628a5c2755cd15611be3ade2.tar.gz
aports-378e340be63e0a0f628a5c2755cd15611be3ade2.tar.bz2
aports-378e340be63e0a0f628a5c2755cd15611be3ade2.tar.xz
main/qt5-qtwebkit: fix incorrect checksum and improve abuild
Diffstat (limited to 'main/qt5-qtwebkit/APKBUILD')
-rw-r--r--main/qt5-qtwebkit/APKBUILD24
1 files changed, 9 insertions, 15 deletions
diff --git a/main/qt5-qtwebkit/APKBUILD b/main/qt5-qtwebkit/APKBUILD
index 3388a2cd15..01279f8b76 100644
--- a/main/qt5-qtwebkit/APKBUILD
+++ b/main/qt5-qtwebkit/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=qt5-qtwebkit
pkgver=5.6.0
-pkgrel=1
+pkgrel=2
pkgdesc="Qt5 - QtWebKit components"
url="http://qt-project.org/"
arch="all"
@@ -25,7 +25,6 @@ makedepends="$depends_dev
sqlite-dev
zlib-dev
"
-install=""
subpackages="$pkgname-dev"
_ver=${pkgver/_/-}
@@ -42,16 +41,11 @@ source="http://download.qt.io/community_releases/${_V%.*}/$_V/qtwebkit-opensourc
fix-rpath.patch
fix-execinfo.patch
"
+builddir="$srcdir"/qtwebkit-opensource-src-$_V
-_builddir="$srcdir"/qtwebkit-opensource-src-$_V
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1 # apply patches
+
# remove some bundled
mkdir Source/ThirdParty/orig
mv Source/ThirdParty/gtest/ \
@@ -62,27 +56,27 @@ prepare() {
}
build() {
- cd "$_builddir"
+ cd "$builddir"
qmake-qt5 && make || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make install INSTALL_ROOT="$pkgdir" || return 1
# remove rpath
# chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/* || return 1
sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
}
-md5sums="eba1382587add1c9b1293a532e7dd161 qtwebkit-opensource-src-5.6.0.tar.xz
+md5sums="b68565d18db63ee4db998bb8e37608a5 qtwebkit-opensource-src-5.6.0.tar.xz
676350288efff119bee8513d9d0b2047 pic.patch
722c871b648adae302413159b12ada6b fix-rpath.patch
7a2a2592e64561fa0bc8c0552181bf00 fix-execinfo.patch"
-sha256sums="d5c4daac8eef1b24290cda59db432ccc390761af17661f64f3028482647521a1 qtwebkit-opensource-src-5.6.0.tar.xz
+sha256sums="9ca72373841f3a868a7bcc696956cdb0ad7f5e678c693659f6f0b919fdd16dfe qtwebkit-opensource-src-5.6.0.tar.xz
51c0e843c5c6453526ee51ed69f2d4a7959767621da321f1082985dfe9f001ef pic.patch
b3e52d54fae9588d908289b53dda6042b59ab133cd8c301f4de23c0ee8dc2c01 fix-rpath.patch
d8f6c84cf1a98174aa16660a422cd7b248a012e60bf37a9b5013f2bc61b6d63e fix-execinfo.patch"
-sha512sums="eb4c073f9270cc3d48947df931536d5df91229aacc83a74b096252d4a9368bf23a56118ef63ad05d7d8360bb67708578ba8aa100fb041cf87216ba3c203e9844 qtwebkit-opensource-src-5.6.0.tar.xz
+sha512sums="d9a2d10960cbdf8cf144f1cdaebf52ff95a6ad70b94b19c9ffcd0dd653d98c1e1fab6516e7dc481a4d199af5fb98d36ac41a309e10b96ada0e18f581946bb1af qtwebkit-opensource-src-5.6.0.tar.xz
9a62a5e7af91c44311b517608262f88b5bc607e75dc5878dd08b0a0872ec03fb7a566df0a41413f7e60beb1b9880e24f084b90c38ed50d4219ec2ad6af9bd62f pic.patch
00d59c0cdb58ae8e7cf6bc3d03f133697e74c267ccebe12238bcdc274d4c90210b82c2d8bdf0e949cd43da13a4fd8a4c35fb54a00ed5102a4ac4d23aa002d0fe fix-rpath.patch
f17c2f4b90090c8f12e4ba1f2cbd7a9f496c8de024ba6e0d55b98e5b89ab89298aff84f39e81905e0491fe6bd11544633a8b191403a866e16ed654d44cf8dc6f fix-execinfo.patch"